# Uses of Interface
com.sun.jdi.request.ThreadDeathRequest

Packages that use ThreadDeathRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of ThreadDeathRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return ThreadDeathRequest
Modifier and Type
Method
Description
`ThreadDeathRequest`
EventRequestManager.`createThreadDeathRequest()`
Creates a new disabled `ThreadDeathRequest`.
Methods in com.sun.jdi.request that return types with arguments of type ThreadDeathRequest
Modifier and Type
Method
Description
`List<ThreadDeathRequest>`
EventRequestManager.`threadDeathRequests()`
Return an unmodifiable list of the enabled and disabled thread death requests.